Skip to main content
GET
/
entries
/
{id}
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

const entry = await client.entries.retrieve('entry_xxxxxxxxxxxx');

console.log(entry.id);
{
  "id": "entry_xxxxxxxxxxxx",
  "plan": {
    "id": "plan_xxxxxxxxxxxxx"
  },
  "product": {
    "id": "prod_xxxxxxxxxxxxx",
    "title": "Pickaxe Analytics"
  },
  "status": "drafted",
  "user": {
    "id": "user_xxxxxxxxxxxxx",
    "name": "John Doe",
    "username": "johndoe42",
    "email": "john.doe@example.com"
  },
  "created_at": "2023-12-01T05:00:00.401Z",
  "custom_field_responses": [
    {
      "id": "cfrp_xxxxxxxxxxxxx",
      "question": "<string>",
      "answer": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the waitlist entry to retrieve.

Example:

"entry_xxxxxxxxxxxx"

Response

A successful response

An entry represents a user's signup for a waitlisted plan.

id
string
required

The unique identifier for the entry.

Example:

"entry_xxxxxxxxxxxx"

plan
object
required

The waitlisted plan that this entry is a signup for.

product
object
required

The product associated with this entry's waitlisted plan. Null if the plan is not tied to a product.

status
enum<string>
required

The current status of the waitlist entry (e.g., drafted, pending, approved, denied).

Available options:
drafted,
pending,
approved,
denied,
any
user
object
required

The user who submitted this waitlist entry.

created_at
string<date-time> | null
required

The datetime the entry was created.

Example:

"2023-12-01T05:00:00.401Z"

custom_field_responses
object[] | null
required

The list of responses collected from the user when submitting their waitlist entry.